ID choice
=======

Metadata
-----------

 * **@name**: ID choice
 * **@version**: 19.12
 * **@authors**: Melanie Petera - PFEM ; INRA ; MetaboHUB 
 * **@init date**: 2017/06/07
 * **@main usage**: This tool is designed to make you choose a particular column in your metadata file to be considered as identifiers for your W4M-3-tables-format data. 

 
Context
-----------

This tool is provided as one of the [Workflow4Metabolomics](http://workflow4metabolomics.org) Galaxy instance utilities. W4M is a French infrastructure providing software tools to process, analyse and annotate metabolomics data. 

User interface is based on the Galaxy platform (homepage: https://galaxyproject.org/). It is an open, web-based platform for data intensive biomedical research. Whether on the free public server or your own instance, you can perform, reproduce, and share complete analyses.

 
Configuration
-----------

### Requirement:
 * R software: version > 3.0.0 recommended
 * Specific R library: 'batch'
 * Submodule: [easyRlibrary](https://github.com/workflow4metabolomics/easyrlibrary-lib) (Required for internal input quality checks)

### Deploy:
 * How to get the submodule files:
When pulling this module's Git repository, you may only obtain an empty folder for the needed submodule.
You can initialise it then with the following command:
```bash
git submodule update --init --recursive
```


Technical description
-----------

Main files:

- IDchoice_script.R: R function (core script)
- IDchoice_wrap.R: R script to link the main R function to inputs
- IDchoice.xml: XML wrapper (interface for Galaxy)


Services provided
-----------

 * Help and support: support@workflow4metabolomics.org


License
-----------

 * Cea Cnrs Inria Logiciel Libre License, version 2.1 (CECILL-2.1)
